// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
    event.remove({ id: 'composite_material:etherite_ingot' })
    event.remove({ id: 'composite_material:perkin' })

    event.remove({ id: 'composite_material:etherite_sword' })
    event.remove({ id: 'composite_material:etherite_pickaxe' })
    event.remove({ output: 'composite_material:etherite_axe' })
    event.remove({ output: 'composite_material:etherite_hoe' })
    event.remove({ id: 'composite_material:etherite_shovel' })

    event.remove({ id: 'composite_material:echoium_sword' })
    event.remove({ id: 'composite_material:echoium_pickaxe' })
    event.remove({ output: 'composite_material:echoium_axe' })
    event.remove({ output: 'composite_material:echoium_hoe' })
    event.remove({ id: 'composite_material:echoium_shovel' })
});

ServerEvents.recipes(event => {
    event.shapeless('composite_material:etherite_ingot', 
      [
        'minecraft:nether_star',
        'allthemodium:vibranium_ingot',
        'enigmaticlegacy:etherium_ingot',
        'composite_material:echoium_ingot',
        'callfromthedepth_:immemorialingot',
        'terramity:nyxium',
      ]).result('2x composite_material:etherite_ingot');

    event.shapeless('composite_material:perkin', 
      [
        'minecraft:gold_ingot',
        'minecraft:dragon_breath',
        'composite_material:strong_will',
        'minecraft:experience_bottle',
        'minecraft:honey_bottle',
        'minecraft:blaze_powder',
    ]).result('2x composite_material:perkin');

    event.shaped('kubejs:etherite_smithing_template', [
      'aba',
      'cdc',
      'aca'
    ], {
      a: 'composite_material:perkin',
      b: 'kubejs:etherite_smithing_template',
      c: 'composite_material:etherite_ingot',
      d: 'minecraft:end_stone',
    }).result('2x kubejs:etherite_smithing_template');
    event.shaped('kubejs:echoium_smithing_template', [
      'aba',
      'cdc',
      'aca'
    ], {
      a: 'composite_material:echoium_ingot',
      b: 'callfromthedepth_:sculk_hearth',
      c: 'minecraft:echo_shard',
      d: 'minecraft:sculk',
    }).result('1x kubejs:echoium_smithing_template');

    event.smithing(
      'composite_material:etherite_sword',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_sword',
      'composite_material:etherite_ingot'
    )
    event.smithing(
      'composite_material:etherite_pickaxe',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_pickaxe',
      'composite_material:etherite_ingot'
    )
    event.smithing(
      'composite_material:etherite_axe',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_axe',
      'composite_material:etherite_ingot'
    )

    event.smithing(
      'composite_material:etherite_hoe',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_hoe',
      'composite_material:etherite_ingot'
    )
    event.smithing(
      'composite_material:etherite_shovel',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_shovel',
      'composite_material:etherite_ingot'
    )


    event.smithing(
      'composite_material:echoium_sword',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_sword',
      'composite_material:echoium_ingot'
    )
    event.smithing(
      'composite_material:echoium_pickaxe',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_pickaxe',
      'composite_material:echoium_ingot'
    )
    event.smithing(
      'composite_material:echoium_axe',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_axe',
      'composite_material:echoium_ingot'
    )

    event.smithing(
      'composite_material:echoium_hoe',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_hoe',
      'composite_material:echoium_ingot'
    )
    event.smithing(
      'composite_material:echoium_shovel',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_shovel',
      'composite_material:echoium_ingot'
    )
});